Subject: bug#22564: Fundamental mode isn't fundamental enough.

From: Mark Oteiza <[email-masked]>
Date: Sat, 6 Feb 2016 09:36:57 -0500

On 06/02/16 at 11:21am, Alan Mackenzie wrote:
> In article <[email-masked]> you wrote:
>
> > Alan Mackenzie <[email-masked]> writes:
> >>> No, it's a deliberate feature, AFAIU.
>
> >> You mean, there should no longer be a vanilla fundamental mode?  I would
> >> argue that no "helpful" electric modes should be enabled in FM.  At the
> >> moment, it appears, we are lacking a What-You-Do-Is-What-You-Get mode.
>
> >> I think electric-*-modes should be disabled in FM unless explicitly
> >> enabled by the user in an FM buffer.  We've become far too "clever" with
> >> all these facilities.
>
> > electric-indent-mode is the only electric-*-mode on by default, and I
> > never understood why it was enabled. Up until bracketed paste was
> > implemented, this issue of indenting pastes had been an annoyance (only
> > later on did I realize to disable this electric mode).
>
> What is "bracketed paste"?  The term appears only in xterm.el, but that
> file doesn't say what it is.

It's in NEWS as well. Paraphrasing: it means Emacs understands a chunk of
text that is "bracketed" (surrounded) by escape characters as a string
to be inserted, instead of interpreting each character in the pasted
text as actual user input.